package com.simonstl.gorille;
 /*
The contents of this file are subject to the Mozilla Public License  Version 1.1 (the "License"); you may not use this file except in  compliance with the License. You may obtain a copy of the License at
http://www.mozilla.org/MPL/
Software distributed under the License is distributed on an "AS IS"  basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the  License for the specific language governing rights and limitations under  the License.

The Original Code is available at  http://simonstl.com/projects/fragment/original.

The Initial Developer of the Original Code is Simon St.Laurent. Portions  created by Simon St.Laurent are Copyright (C) 2001. All Rights Reserved.

Contributor(s):
*/
/**
 *
 * DocProcImpl is a blank handler.
 *
 */
public class DocProcImpl implements DocProcI {

    protected ContextI context;
    protected DocProcI listener;

    public void setContext(ContextI context) {
        this.context=context;
    }

    public ContextI getContext() {
        return context;
    }

    public void setChainListener(DocProcI listener) {
        this.listener=listener;
    }

    public DocProcI getChainListener() {
        return listener;
    }

    /**
     *
     * Reports the XML declaration, if one is present.
     *
     * The StringBuffer content will contain the entire XML declaration.
     */
    public StringBuffer XMLdecl(StringBuffer content) throws GorilleException {
        return content;
    }

    public StringBuffer DOCTYPE(StringBuffer content) throws GorilleException {
        return content;
    }

    public StringBuffer startElementOTag(StringBuffer content) throws GorilleException {
        return content;
    }

    public StringBuffer startElementCTag(StringBuffer content) throws GorilleException {
        return content;
    }

    public StringBuffer elementName(StringBuffer content) throws GorilleException {
        return content;
    }

    public StringBuffer tagSpace(StringBuffer content) throws GorilleException {
        return content;
    }

    public StringBuffer attName(StringBuffer content) throws GorilleException {
        return content;
    }

    public StringBuffer attEquals(StringBuffer content) throws GorilleException {
        return content;
    }

    public StringBuffer attStartQuote(StringBuffer content) throws GorilleException {
        return content;
    }

    public StringBuffer attEndQuote(StringBuffer content) throws GorilleException {
        return content;
    }

    public StringBuffer endElementOTag(StringBuffer content) throws GorilleException {
        return content;
    }

    public StringBuffer endElementETag(StringBuffer content) throws GorilleException {
        return content;
    }

    public StringBuffer endElementCTag(StringBuffer content) throws GorilleException {
        return content;
    }

    public StringBuffer chars(StringBuffer content) throws GorilleException {
        return content;
    }

    public StringBuffer decCharRef(StringBuffer content) throws GorilleException {
        return content;
    }

    public StringBuffer hexCharRef(StringBuffer content) throws GorilleException {
        return content;
    }

    public StringBuffer entRef(StringBuffer content) throws GorilleException {
        return content;
    }

    public StringBuffer commentStart(StringBuffer content) throws GorilleException {
        return content;
    }

    public StringBuffer commentContent(StringBuffer content) throws GorilleException {
        return content;
    }

    public StringBuffer commentEnd(StringBuffer content) throws GorilleException {
        return content;
    }

    public StringBuffer PIStart(StringBuffer content) throws GorilleException {
        return content;
    }

    public StringBuffer PITarget(StringBuffer content) throws GorilleException {
        return content;
    }

    public StringBuffer PISpace(StringBuffer content) throws GorilleException {
        return content;
    }

    public StringBuffer PIData(StringBuffer content) throws GorilleException {
        return content;
    }

    public StringBuffer PIEnd(StringBuffer content) throws GorilleException {
        return content;
    }

    public StringBuffer CDATAStart(StringBuffer content) throws GorilleException {
        return content;
    }

    public StringBuffer CDATAEnd(StringBuffer content) throws GorilleException {
        return content;
    }


    public GorilleException warning (GorilleException e) throws GorilleException{
        return e;
    }

    public GorilleException error (GorilleException e) throws GorilleException {
        return e;
    }


    public GorilleException fatalError (GorilleException e) throws GorilleException {
        return e;
    }

}
